Package jebl.evolution.sequences

# Class TranslatedSequence

java.lang.Object
jebl.evolution.sequences.FilteredSequence
jebl.evolution.sequences.TranslatedSequence

All Implemented Interfaces:
  `Comparable`, `Sequence`, `Attributable`

public class TranslatedSequence extends FilteredSequence

Author:
  Andrew Rambaut

## Nested Class Summary

## Nested classes/interfaces inherited from interface jebl.util.Attributable

`Attributable.Utils`

## Constructor Summary

Constructors
Constructor
Description
`TranslatedSequence(Sequence source, GeneticCode geneticCode)`
Create a TranslatedSequence from a source codon or nucleotide sequence
`TranslatedSequence(Sequence source, GeneticCode geneticCode, int frame)`
Create a TranslatedSequence from a source codon or nucleotide sequence

## Method Summary

Modifier and Type
Method
Description
`SequenceType`
`getSequenceType()`

### Methods inherited from class jebl.evolution.sequences.FilteredSequence

`compareTo, getAttribute, getAttributeMap, getAttributeNames, getLength, getState, getStateIndices, getStates, getString, getTaxon, removeAttribute, setAttribute, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TranslatedSequence

public TranslatedSequence(Sequence source, GeneticCode geneticCode)
Create a TranslatedSequence from a source codon or nucleotide sequence

Parameters:
  `source` -
  `geneticCode` -

### TranslatedSequence

public TranslatedSequence(Sequence source, GeneticCode geneticCode, int frame)
Create a TranslatedSequence from a source codon or nucleotide sequence

Parameters:
  `source` -
  `geneticCode` -
  `frame` - indexed from 1

## Method Details

### getSequenceType

public SequenceType getSequenceType()

Specified by:
  `getSequenceType` in interface `Sequence`
Overrides:
  `getSequenceType` in class `FilteredSequence`
Returns:
  the type of symbols that this sequence is made up of.